# RakNet::Platform_Shutdown Struct Reference
[Lobby2Commands]

Platform specific startup. Unused on the PC. More...

`#include <Lobby2Message.h>`

Inheritance diagram for RakNet::Platform_Shutdown:

List of all members.

## Public Member Functions

virtual bool | RequiresAdmin (void) const
virtual bool | RequiresRankingPermission (void) const
virtual bool | CancelOnDisconnect (void) const
virtual bool | RequiresLogin (void) const
virtual bool | PrevalidateInput (void)
virtual bool | ServerPreDBMemoryImpl (Lobby2Server *server, RakString userHandle)

## Detailed Description

Platform specific startup. Unused on the PC.

## Member Function Documentation

virtual bool RakNet::Platform_Shutdown::CancelOnDisconnect | ( | void |  | ) | const`[inline, virtual]`

Should this message not be processed on the server if the requesting user disconnects before it completes? This should be true for functions that only return data. False for functions that affect other users, or change the database

Implements RakNet::Lobby2Message.

virtual bool RakNet::Platform_Shutdown::PrevalidateInput | ( | void |  | ) | `[inline, virtual]`

If data members can be validated for correctness in the server's main thread, override this function and do those checks here.

Returns:
  True for input OK. False if the input is bad and does not need to be further processed in the database threads.

Reimplemented from RakNet::Lobby2Message.

virtual bool RakNet::Platform_Shutdown::RequiresAdmin | ( | void |  | ) | const`[inline, virtual]`

Is this message something that should only be run by a system with admin privileges? Set admin privileges with Lobby2Server::AddAdminAddress()

Implements RakNet::Lobby2Message.

virtual bool RakNet::Platform_Shutdown::RequiresLogin | ( | void |  | ) | const`[inline, virtual]`

Does this function require logging into the server before it can be executed? If true, the user id and user handle will be automatically inferred by the last login by looking up the sender's system address. If false, the message should include the username so the database query can lookup which user is performing this operation.

Implements RakNet::Lobby2Message.

virtual bool RakNet::Platform_Shutdown::RequiresRankingPermission | ( | void |  | ) | const`[inline, virtual]`

Is this message something that should only be run by a system with ranking upload priviledges? Set ranking privileges with Lobby2Server::AddRankingAddress()

Implements RakNet::Lobby2Message.

virtual bool RakNet::Platform_Shutdown::ServerPreDBMemoryImpl | ( | Lobby2Server * | server,
|  | RakString | userHandle |
| ) |  |  | `[inline, virtual]`

Do any Lobby2Server functionality when the message first arrives on the server, and after it has returned true from PrevalidateInput() If it returns true, the message has been handled, and the result is sent to the client If it returns false, the message continues to ServerDBImpl

Reimplemented from RakNet::Lobby2Message.

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Lobby2Message.h